// Power waveform for a resistive load
// SCILAB source file: ex3101.sce
// Clear any previous graphic window
clf();
txt = ['Input maximum value in V';'Input frequency in Hz';'Input load resistance in ohms'];
var = x_mdialog('Enter parameters',txt,['10';'100';'5']);
vm = evstr(var(1));
f = evstr(var(2));
r = evstr(var(3));
t = [0:0.0001:0.02]; // set time scale
v = vm*sin(6.28*f*t);
i = v ./ r;  // elementwise division
p = i .* v; // elementwise multiplication
// Plot voltage, current and power waveforms
plot2d(t,v,style=3);  // green line for voltage
plot2d(t,i,style=4);  // blue line for current
plot2d(t,p,style=5);  // red line for power
// Print grid and title
xgrid(); // add grid
xtitle('Voltage, current and power waveforms');
hl=legend(['Voltage';'Current';'Power']);

